{% load i18n %}
{% load staticfiles %}
{% load data_filters %}

<!-- <table style="margin-bottom: 2px;margin-top: 10px; float: left; width: 100%;">
    <tr class="panel-header">
      <td>
        <span style="font-size: 15px;margin-top: -5px; padding-right: 20px;">
          <b>{{ model | to_verbose_name }}</b>
        </span>
      </td>
    </tr>
</table> -->

<table style="margin-bottom: 2px;margin-top: 10px; float: left; width: 100%;">
    <tr class="panel-header">
      <td>
        <span style="font-size: 15px;margin-top: -5px; padding-right: 20px;">
          <b>{{ model | to_verbose_name }}</b>
        </span>
      </td>

      <td align="right">
        <form method="get" action="">
          <div>
            <span>
              SN:
              <input type="text" value="" id="device_sn_filter" name="device_sn" size="25" style="width:100px;" placeholder='Device SN' />
              ID:
              <input type="text" value="" id="pin_filter" name="pin" size="25" style="width:100px;" placeholder='Personnel ID' />
              <input type="submit" value="" title="{% trans 'Search' %}" style="background:url({% static 'img/icon_searchbox.png' %}) left 50% no-repeat; background-size:20px 20px; padding-left: 20px; padding-right: 5px; width:20px;height:20px;border: 0;" />
              <a href="javascrip:void(0)" onclick="reflush_input()"><img width='18' height='18' src="{% static 'img/fulsh.png' %}" alt="flush"></a>
            </span>
          </div>
        </form>
      </td>
    </tr>
</table>

<table border="0" style="margin-bottom: 2px;margin-top: -2px; float: left; width: 100%;">
    <tr style="padding: 5px;height: auto;">
      <td colspan="2" style="padding: 0px;">
        <div class="datagrid-toolbar">

        {% include 'base_filter.html' %}
          <div style="height: 27px;display: block;">
            <span style="float: left">
              <a type="button" class="cls_op easyui-linkbutton" data-options="iconCls:'icon-redo',plain:true" href="{% url 'transaction_export' %}" value="{% trans 'Export' %}">
                {% trans "Export" %}
              </a>
              <a class="cls_op easyui-linkbutton" data-options="iconCls:'icon-no',plain:true" type="button" value="{% trans 'Delete out-of-date records' %}" href="#" onclick="delete_out_of_transaction()">
                {%trans "Delete out-of-date records" %}
              </a>
                  <script type="text/javascript">
                      function delete_out_of_transaction(){
                          if(window.confirm('Purge data which is older than 90 days?')){
                            $.ajax({
                              url: "{% url 'delete_out_of_transaction' %}",
                              type: 'GET',
                              success: function(){
                                window.location.href = "{% url 'transaction' %}"; //跳转页面
                              }
                            });
                          }
                      }
                  </script>
            </span>
            {% include 'base_operations.html' %}
          </div>

        </div>
      </td>
    </tr>
</table>
